Page MenuHomePhabricator

Reference toolbar gadget not functional on Kannada Wikipedia
Closed, ResolvedPublic2 Story Points

Description

On Kannada Wikipedia, (http://kn.wikipedia.org), Reference toolbar related code was imported from English Wikipedia, but refToolbar is not functional. No reference/citation toolbar is visible.

Steps to reproduce:

  1. Login to English Wikipedia, go to any page where editing rights are there
  2. In editor bar above editor box, there is a collapsible menu with label "Cite" and some options once it is expanded.
  3. Login to Kannada Wikipedia (kn.wikipedia.org)
  4. When a page is opened for editing, we do not see a Cite menu at all.

Event Timeline

Ananthsubray raised the priority of this task from to Unbreak Now!.
Ananthsubray updated the task description. (Show Details)
Ananthsubray added a subscriber: Ananthsubray.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2016, 5:51 AM
Ananthsubray set Security to None.Jan 30 2016, 5:52 AM
Ananthsubray added a subscriber: tuxnani.

This issue seems to be on Konkani Wikipedia as well (http://gom.wikipedia.org/ )

It looks like a newer version of RefToolbar.js was added to knwiki on
2016-01-29T17:34 by Pavanaja. Perhaps the new version requires some other changes to site js in order to work properly? I would recommend contacting Pavanaja on wiki to see if they can help debug and resolve.

Quiddity added a subscriber: Quiddity.EditedJan 30 2016, 6:25 PM

I noticed that the option for "Enable wizards for links, formatting, tables, citations, and the search and replace function" [wpusebetatoolbar-cgd]
which is in Enwiki's Editing tab https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-editing
is not in Knwiki's Editing tab https://kn.wikipedia.org/wiki/Special:Preferences#mw-prefsection-editing
I need both this preference and the gadget to be toggled-on for the "Cite" section to appear in the Enwiki toolbar.

Everything else I checked, seemed to be identical between Enwiki and Knwiki (confirmed, just now).

HTH.

Are you sure this is an issue with the gadgets extension instead of the individual gadget?

I noticed that the option for "Enable wizards for links, formatting, tables, citations, and the search and replace function" [wpusebetatoolbar-cgd]
which is in Enwiki's Editing tab https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-editing
is not in Knwiki's Editing tab https://kn.wikipedia.org/wiki/Special:Preferences#mw-prefsection-editing

I see it there correctly.

MediaWiki:gadget-refToolbar is missing on knwiki.

MediaWiki:gadget-refToolbar is missing on knwiki.

I do not think its a relevant page.

It looks like a newer version of RefToolbar.js was added to knwiki on
2016-01-29T17:34 by Pavanaja. Perhaps the new version requires some other changes to site js in order to work properly? I would recommend contacting Pavanaja on wiki to see if they can help debug and resolve.

Can I know what these changes would be in js file?
I will try to ask Pavanaja to make those changes.

Aklapper lowered the priority of this task from Unbreak Now! to High.Feb 1 2016, 12:20 AM
Aklapper edited projects, added Community-Tech; removed MediaWiki-extensions-Gadgets.
DannyH lowered the priority of this task from High to Normal.Feb 4 2016, 6:05 PM
DannyH moved this task from Untriaged to Design backlog on the Community-Tech board.
kaldari added a subscriber: kaldari.Feb 5 2016, 1:45 AM

The gadget is definitely loading on kn.wikipedia.org, it just doesn't seem to be doing anything (but also not throwing any errors).

Ananthsubray raised the priority of this task from Normal to High.Feb 5 2016, 5:43 AM
kaldari closed this task as Resolved.Feb 8 2016, 5:46 PM
kaldari claimed this task.

@Ananthsubray: It's fixed now. The localization page still needs to be translated though.

kaldari edited a custom field.Feb 8 2016, 5:48 PM
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari moved this task from Ready to Q3 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Design backlog to Archive on the Community-Tech board.